Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 593136 - RuntimeError: Error running /sbin/rsyslogd: No such file or directory
Summary: RuntimeError: Error running /sbin/rsyslogd: No such file or directory
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ales Kozumplik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: anaconda_trace_hash:7371e80361c182b28...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-17 22:22 UTC by Andrew Ross
Modified: 2014-09-30 23:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-07 11:36:52 UTC


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (deleted)
2010-05-17 22:23 UTC, Andrew Ross
no flags Details

Description Andrew Ross 2010-05-17 22:22:55 UTC
The following was filed automatically by anaconda:
anaconda 13.42 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/iutil.py", line 162, in execWithRedirect
    raise RuntimeError, errstr
  File "/usr/lib/anaconda/backend_log.py", line 73, in start
    status = iutil.execWithRedirect(SYSLOG_PATH, args)
  File "/usr/lib/anaconda/backend.py", line 145, in initLog
    backend_log.log.start(instPath, syslogname)
  File "/usr/lib/anaconda/yuminstall.py", line 1556, in doPreInstall
    self.initLog(anaconda.rootPath)
  File "/usr/lib/anaconda/backend.py", line 293, in doPreInstall
    anaconda.backend.doPreInstall(anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1313, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 79, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1334, in handleRenderCallback
    self.currentWindow.renderCallback()
RuntimeError: Error running /sbin/rsyslogd: No such file or directory

Comment 1 Andrew Ross 2010-05-17 22:23:01 UTC
Created attachment 414676 [details]
Attached traceback automatically from anaconda.

Comment 2 Ales Kozumplik 2010-05-21 07:34:37 UTC
Hi Andrew,

is it by any chance possible that your initrd.img is outdated?

You used this initrd.img:
initrd=RAWHIDE/i386/initrd.img

but the modules inside it seem to belong to an F12 kernel, see this line in the traceback:
08:17:15,328 INFO program: /lib/modules/2.6.31-0.204.rc9.fc12.i686/kernel/net/ipv6/ipv6.ko.gz
 
Note that the f12 initrd images are not meant to be used with f13 stage2. They do not contain rsyslogd for one thing. I will close this bug as "works for me" once you confirm this is the case.

Ales

Comment 3 Ales Kozumplik 2010-06-07 11:36:52 UTC
As no other reports of this problem has appeared and the many last rawhide composes have not shown this behavior, I'm closing this as works for me.


Note You need to log in before you can comment on or make changes to this bug.